unique_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::unique_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename C = equal_to, typename P = identity>
| ranges::CPP_TEMPLATE_AUX_0 (requires input_iterator< I > &&sentinel_for< S, I > &&indirect_relation< C, projected< I, P >> &&weakly_incrementable< O > &&indirectly_copyable< I, O > &&(forward_iterator< I >||forward_iterator< O >||indirectly_copyable_storable< I, O >)) const expr unique_copy_result< I
| template function unique_copy More...
template<typename Rng , typename O , typename C = equal_to, typename P = identity>
| ranges::CPP_TEMPLATE_AUX_0 (requires input_range< Rng > &&indirect_relation< C, projected< iterator_t< Rng >, P >> &&weakly_incrementable< O > &&indirectly_copyable< iterator_t< Rng >, O > &&(forward_iterator< iterator_t< Rng >>||forward_iterator< O >||indirectly_copyable_storable< iterator_t< Rng >, O >)) const expr unique_copy_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
O | ranges::unique_copy (I first, S last, O out, C pred=C{}, P proj=P{})
O | ranges::unique_copy (Rng &&rng, O out, C pred=C{}, P proj=P{})